Bug 1921721 - Feature request: Enable RNNoise in mumble
Summary: Feature request: Enable RNNoise in mumble
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mumble
Version: 34
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Carl George 🤠
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1919606
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-28 13:46 UTC by Idar Lund
Modified: 2021-03-22 02:07 UTC (History)
7 users (show)

Fixed In Version: mumble-1.3.4-2.fc35 mumble-1.3.4-2.fc33 mumble-1.3.4-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-19 18:50:08 UTC
Type: Bug


Attachments (Terms of Use)
screenshot where the checkbox will appear (100.76 KB, image/png)
2021-01-28 13:46 UTC, Idar Lund
no flags Details

Description Idar Lund 2021-01-28 13:46:57 UTC
Created attachment 1751684 [details]
screenshot where the checkbox will appear

Description of problem:
The buildflag "rnnoise" seems to be removed in Fedora's mumble package:
https://src.fedoraproject.org/rpms/mumble/blob/master/f/mumble.spec#_136

Please include Mumble's RRNoise feature: https://wiki.mumble.info/wiki/Audio#RNNoise

Version-Release number of selected component (if applicable):
Next future release

How reproducible:
This is a feature request. So; All the time I guess? :)

Steps to Reproduce:
To see if the feature is working and to test this go to Configure Mumble -> Audio Input -> RNNoise checkbox in "Audio Processing".

Actual results:
No checkbox for the feature.

Expected results:
The feature should be possible to enable.

Comment 1 Ben Cotton 2021-02-09 16:19:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 2 Tad 2021-02-12 00:19:30 UTC
I have tested it working on Fedora 33 with the following changes to the spec file:

diff --git a/mumble.spec b/mumble.spec
index 38ac23b..1feb743 100644
--- a/mumble.spec
+++ b/mumble.spec
@@ -116,9 +116,6 @@ pushd 3rdparty
 # remove bundled libraries that we have system copies of
 rm -r opus-src speex-src speexdsp-src
 
-# remove bundled libraries for disabled features
-rm -r rnnoise-src
-
 # remove bundled libraries for windows
 rm -r GL minhook-src xinputcheck-src
 
@@ -132,7 +129,6 @@ popd
 %{qmake_qt5} \
 CONFIG+=no-bundled-speex \
 CONFIG+=no-bundled-opus \
-CONFIG+=no-rnnoise \
 CONFIG+=no-g15 \
 CONFIG+=no-oss \
 CONFIG+=no-update \


The 'pulseeffects' package already builds-in RNNoise and is shipped by Fedora, so there likely aren't any license issues blocking this.

Comment 3 Carl George 🤠 2021-03-14 22:49:58 UTC
https://docs.fedoraproject.org/en-US/packaging-guidelines/#bundling

> All packages whose upstreams allow them to be built against system libraries MUST be built against system libraries.

Mumble supports this with CONFIG+=no-bundled-rnnoise.  If someone else packages rnnoise, I don't mind updating the spec file to link against it.  In theory pulseeffects would also be able to use that.  Mumble already has enough bundled libraries, we should be working to remove them where possible, not add more.

Comment 4 Fedora Update System 2021-03-17 04:18:08 UTC
FEDORA-2021-e70b27155e has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2021-03-17 05:23:25 UTC
FEDORA-2021-8ff2bcc706 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8ff2bcc706

Comment 6 Fedora Update System 2021-03-17 05:23:38 UTC
FEDORA-2021-f743c0c014 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f743c0c014

Comment 7 Fedora Update System 2021-03-18 03:28:17 UTC
FEDORA-2021-8ff2bcc706 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8ff2bcc706`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8ff2bcc706

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-03-18 21:45:35 UTC
FEDORA-2021-f743c0c014 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f743c0c014`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f743c0c014

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Idar Lund 2021-03-18 22:00:35 UTC
I've tested the RNNoise audio processing on 33 with 8ff2bcc706 and it works perfectly!

Comment 10 Fedora Update System 2021-03-19 18:50:08 UTC
FEDORA-2021-8ff2bcc706 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-03-22 02:07:26 UTC
FEDORA-2021-f743c0c014 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.